# Uses of Class
org.jdesktop.application.Application

Packages that use Application
Package
Description
org.jdesktop.application

## Uses of Application in org.jdesktop.application

Subclasses of Application in org.jdesktop.application
Modifier and Type
Class
Description
`class`
`SingleFrameApplication`
An application base class for simple GUIs with one primary JFrame.
Methods in org.jdesktop.application with type parameters of type Application
Modifier and Type
Method
Description
`static <T extends Application>
T`
Application.`getInstance(Class<T> applicationClass)`
The `Application` singleton.
`static <T extends Application>
void`
Application.`launch(Class<T> applicationClass, String[] args)`
Creates an instance of the specified `Application` subclass, sets the `ApplicationContext` `application` property, and then calls the new `Application's` `initialize` and `startup` methods.
Methods in org.jdesktop.application that return Application
Modifier and Type
Method
Description
`final Application`
ApplicationContext.`getApplication()`
The `Application` singleton, or null if `launch` hasn't been called yet.
`final Application`
Task.`getApplication()`
`final Application`
View.`getApplication()`
Returns the `Application` that's responsible for showing/hiding this View.
`static Application`
Application.`getInstance()`
The `Application` singleton.
Constructors in org.jdesktop.application with parameters of type Application
Modifier
Constructor
Description
``
`FrameView(Application application)`
``
`Task(Application application)`
Construct a `Task` with an empty (`""`) resource name prefix, whose ResourceMap is the value of `ApplicationContext.getInstance().getResourceMap(this.getClass(), Task.class)`.
``
`Task(Application application, String resourcePrefix)`
Deprecated.
``
`Task(Application application, ResourceMap resourceMap, String resourcePrefix)`
Deprecated.
``
`View(Application application)`
Construct an empty View object for the specified Application.